Path: API › 网站管理

`POST /site`

获取指定网站已配置的所有反向代理规则。

## Request body

_Required._

- `action249.request_time` (string, required) — Unix 时间戳。
- `action249.request_token` (string, required) — 按 API 概览生成的签名。
- `action249.action` (string, required) — 具体操作名称。
  - one of `"GetProxyList"`
- `action249.sitename` (string, required) — 网站域名（注意小写）

## Example request

```text
{
  "request_time": "string",
  "request_token": "string",
  "action": "GetProxyList",
  "sitename": "string"
}
```

## Code samples

### cURL（填写面板地址与签名）

```curl
curl --request POST \
  --url "https://your-panel.example.com:8888/site" \
  --header "Content-Type: application/x-www-form-urlencoded" \
  --data-urlencode "request_time=<Unix时间戳>" \
  --data-urlencode "request_token=<按 API 概览生成的签名>" \
  --data-urlencode "action=GetProxyList" \
  --data-urlencode "sitename=<sitename>"
```

## Responses

### default

接口响应，业务状态见下方详细说明。

#### Example

```json
[
  {
    "proxyname": "api_proxy",
    "proxydir": "/api",
    "proxysite": "http://127.0.0.1:9090",
    "todomain": "testapi.bt.local",
    "type": 1,
    "cache": 0
  }
]
```


## GetProxyList

获取指定网站已配置的所有反向代理规则。

- **路由**：`POST /site`
- **action**：`GetProxyList`

## 输入参数

| 参数名称 | 必选 | 类型 | 描述 |
|----------|------|------|------|
| action | 是 | String | 固定值 `GetProxyList` |
| sitename | 是 | String | 网站域名（注意小写） |

## 输出参数

| 参数名称 | 类型 | 描述 |
|----------|------|------|
| - | Array&lt;Object&gt; | 代理规则列表，每项含 `proxyname`、`proxydir`、`proxysite`、`todomain`、`type`、`cache`、`cachetime` 等 |

## 示例

### 请求

```
POST /site HTTP/1.1
Host: 192.168.168.213:8888
Content-Type: application/x-www-form-urlencoded

action=GetProxyList&sitename=testapi.bt.local
```

### 响应

```json
[{"proxyname": "api_proxy", "proxydir": "/api", "proxysite": "http://127.0.0.1:9090", "todomain": "testapi.bt.local", "type": 1, "cache": 0}]
```

